Bug 129294 - up2date unpack error -- files removed not replaced -- sys failure
up2date unpack error -- files removed not replaced -- sys failure
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dev86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-05 18:33 EDT by Phil Moses
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-12 10:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Moses 2004-08-05 18:33:25 EDT
Description of problem:
Up2date fails with "fatal installation error" "rpm unpack error installing

Version-Release number of selected component (if applicable):

How reproducible:
3/7 machines

Steps to Reproduce:
1. Install operating system
2. run up2date
3. get really bummed out when up2date closes and files have been moved
but not replaced
4. try and sort things out
5. get really bummed out because the log files aren't as helpful as
they should be

Second tier support suggested that the alsa drivers were causing the
problem. One of the machines did not have a soundcard or the alsa
drivers installed. 

When up2date fails with the unpack error it is an immediate failure
and nothing proceeds. The packages that are removed are not replaced,
therefore leave major black hole sin the OS. Looking deepere into
Up2date/RPM this is a major flaw and this has happened on 3 machines
in the last 2 weeks. 

Actual results:

reinstall of machine 

Expected results:

well, seeing as how were paying to use up2date I would expect it to
not render the machine unusable. 

Additional info:

Please provide additional training for the tier 1 support in what I
was told Manila. Nothing against the guys but a bit above basic
knowledge of Linux is expected, even from tier 1 support. I was very
disappointed in the support that was offered from tier 1 support, this
creates a very poor image for redhat.
Comment 1 Florian La Roche 2004-08-12 10:21:20 EDT
This looks like something for which you would be best off
going through support (https://www.redhat.com/apps/support/).
Comment 2 Phil Moses 2004-08-12 11:19:39 EDT
Both level 1 support (Manila) and level 2 support (N.C) both of which
advised me that I should open a bug report ??

Two common factors of the problem are that two of the machines had
alsa drivers installed. The third machine did not.

Comment 3 Phil Moses 2006-07-21 20:25:23 EDT
This has happened again, this time a problem with pvm unpacking during up2date. 

up2date runs, removes/repackages items. It then begins installs, makes it half
way through and fails on a package (this time pvm) and shuts down. 

What it has not completed at this point is installing initscripts so as was the
case this time, NFS and SSH did not start on a reboot. This left the machine

This seems to be a bug (or more of poor approach) to up2date. 
If this is not a bug please advies who to contact that will respond to the
inefficiencies of up2date should a package fail to install and halt the entire

Note You need to log in before you can comment on or make changes to this bug.